# Interface ProcessingInstruction

All Superinterfaces:
  `XMLEvent, XMLStreamConstants`

public interface ProcessingInstruction extends XMLEvent
An interface that describes the data found in processing instructions

Since:
  1.6

## Field Summary

### Fields declared in interface XMLStreamConstants

`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
The data section of the processing instruction
`String`
`getTarget()`
The target section of the processing instruction

### Methods declared in interface XMLEvent

`asCharacters, asEndElement, asStartElement, getEventType, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

## Method Details

### getTarget

String getTarget()
The target section of the processing instruction

Returns:
  the String value of the PI or null

### getData

String getData()
The data section of the processing instruction

Returns:
  the String value of the PI's data or null